import { Meta, Canvas, Story } from '@storybook/addon-docs'
import { Demo } from './MControlCustom.stories.js'

<Meta title="Controls/Readme" />

# Controls

Control components are available to add UI to display or interact with the map.

<Canvas>
  <Story
    name="Demo">
    {Demo.bind({})}
   </Story>
</Canvas>

`<m-control-attribution>`<br />
To display the credits of the data/tiles rendered.<br />
`import { MControlAttribution } from '@atlastories.app/vue-maplibre'`

`<m-control-fullscreen>`<br />
Add a button to make the map full screen.<br />
`import { MControlFullscreen } from '@atlastories.app/vue-maplibre'`

`<m-control-geolocate>`<br />
Add a button to geolocate the user.<br />
`import { MControlGeolocate } from '@atlastories.app/vue-maplibre'`

`<m-control-navigation>`<br />
Add the buttons to control the camera: zoom, and a compass for map's orientation.<br />
`import { MControlNavigation } from '@atlastories.app/vue-maplibre'`

`<m-control-scale>`<br />
Shows the scale of the map<br />
`import { MControlScale } from '@atlastories.app/vue-maplibre'`

`<m-control-terrain>`<br />
Add a button to switch on/off elevation from a raster-dem source<br />
`import { MControlTerrain } from '@atlastories.app/vue-maplibre'`

## Custom control

`import { MControlCustom } from '@atlastories.app/vue-maplibre'`

`<m-control-custom>` has a default slot so you can have your logic outside of mapLibre.

<Canvas>
  <Story id="controls-mcontrolcustom--custom" />
</Canvas>
